<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="match_parent"
    android:background="@drawable/black"
    android:orientation="vertical" >

    <LinearLayout
        android:id="@+id/layout_tops"
        android:layout_width="fill_parent"
        android:layout_height="42dp"
        android:layout_marginLeft="5sp"
        android:layout_marginRight="5sp"
        android:layout_marginTop="1sp"
        android:background="@drawable/black"
        android:orientation="horizontal" >

        <ImageButton
            android:id="@+id/imageButton15s"
            android:layout_width="40dp"
            android:layout_height="fill_parent"
            android:contentDescription="@string/desc"
            android:scaleType="fitXY"
            android:src="@drawable/widget_search" />

        <ImageButton
            android:id="@+id/imageButton16s"
            android:layout_width="40dp"
            android:layout_height="fill_parent"
            android:contentDescription="@string/desc"
            android:scaleType="fitXY"
            android:src="@drawable/reset" />

        <EditText
            android:id="@+id/edSearchs"
            android:layout_width="match_parent"
            android:layout_height="fill_parent"
            android:layout_gravity="left"
            android:layout_marginLeft="5sp"
            android:layout_marginTop="3sp"
            android:layout_weight="1.0"
            android:background="@drawable/keypad_edit"
            android:hint="請輸入貨號或關鍵字"
            android:inputType="textEmailAddress"
            android:textSize="24sp" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/llayout_bodys"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_marginRight="8sp"
        android:layout_marginTop="2sp"
        android:orientation="horizontal" >

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="1sp"
            android:background="@drawable/black"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/textViewg1s"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_blue2"
                    android:gravity="left"
                    android:text=""
                    android:textColor="@drawable/black"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/textViewg20s"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:layout_weight="2.0"
                    android:background="@drawable/keypad_green" 
                    android:gravity="right"
                    android:text=""
                    android:textColor="@drawable/black"
                    android:textSize="18sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/textViewg7s"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:background="@drawable/keypad_blue2"
                    android:layout_weight="1.0"
                    android:gravity="left"
                    android:text="  "
                    android:textColor="@drawable/black"
                    android:textSize="16sp" />
                <TextView
                    android:id="@+id/textViewg21s"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:layout_weight="2.0"
                    android:background="@drawable/keypad_green" 
                    android:gravity="right"
                    android:text=""
                    android:textColor="@drawable/black"
                    android:textSize="18sp" />
                </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="match_parent"
                android:layout_weight="1.0"
                android:orientation="horizontal" >

                <TextView
                    android:id="@+id/textViewg8s"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:background="@drawable/keypad_blue2"
                    android:layout_weight="1.0"
                    android:gravity="left"
                    android:text="  "
                    android:textColor="@drawable/black"
                    android:textSize="16sp" />
                <TextView
                    android:id="@+id/textViewg22s"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="1sp"
                    android:layout_weight="2.0"
                    android:background="@drawable/keypad_green" 
                    android:gravity="right"
                    android:text=""
                    android:textColor="@drawable/black"
                    android:textSize="18sp" />
                </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_color"
        android:layout_width="fill_parent"
        android:layout_height="36sp"
        android:layout_below="@+id/llayout_bodys"
        android:layout_marginBottom="4sp"
        android:layout_marginLeft="4sp"
        android:layout_marginRight="2sp"
        android:layout_marginTop="4sp"
        android:orientation="horizontal" >

        <HorizontalScrollView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal" >

                <Button
                    android:id="@+id/btn_col_all"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_yellow"
                    android:text=" 全選 "
                    android:textSize="18sp" />

                <Button
                    android:id="@+id/btn_col_top1"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 庫存"
                    android:textSize="18sp" />

                <Button
                    android:id="@+id/btn_col_top2"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 調轉 "
                    android:textSize="18sp" />

                <Button
                    android:id="@+id/btn_col_top3"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 銷貨 "
                    android:textSize="18sp" />

                <Button
                    android:id="@+id/btn_col_top4"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色1 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top5"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色2 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top6"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色3 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top7"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色4 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top8"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色5 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top9"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色6 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top10"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色7 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top11"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色8 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top12"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色9 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top13"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色10 "
                    android:textSize="18sp"
                    android:visibility="gone" />

                <Button
                    android:id="@+id/btn_col_top14"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色11 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                <Button
                    android:id="@+id/btn_col_top15"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色12 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                <Button
                    android:id="@+id/btn_col_top16"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色13 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                                <Button
                    android:id="@+id/btn_col_top17"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色14 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                                <Button
                    android:id="@+id/btn_col_top18"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色15 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                                <Button
                    android:id="@+id/btn_col_top19"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色16 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                                <Button
                    android:id="@+id/btn_col_top20"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="3sp"
                    android:layout_weight="1.0"
                    android:background="@drawable/keypad_green"
                    android:text=" 顏色17 "
                    android:textSize="18sp"
                    android:visibility="gone" />
                </LinearLayout>
        </HorizontalScrollView>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/tableviews"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_margin="3sp"
        android:layout_weight="1.0"
        android:gravity="bottom" >
        <HorizontalScrollView
            android:id="@+id/HorizontalScrollView01"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_margin="5sp" >

            <ScrollView
                android:id="@+id/ScrollView01"
                android:layout_width="wrap_content"
                android:layout_height="fill_parent" >

                <LinearLayout
                    android:id="@+id/root"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical" >
                </LinearLayout>
            </ScrollView>
        </HorizontalScrollView>
        
    </LinearLayout>

    <Gallery
        android:id="@+id/myGallery1s"
        android:layout_width="fill_parent"
        android:layout_height="222dp"
        android:layout_margin="0sp"
        android:gravity="bottom" />

</LinearLayout>